Package org.kapott.hbci.swift

# Class Swift

java.lang.Object
org.kapott.hbci.swift.Swift

public class Swift extends Object

## Constructor Summary

Constructors
Constructor
Description
`Swift()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decodeUmlauts(String st)`
`static String`
`getMultiTagValue(String st, String tag)`
`static String`
`getOneBlock(StringBuffer stream)`
`static String`
`getTagValue(String st, String tag, int counter)`
`static String`
`packMulti(String st)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Swift

public Swift()

## Method Details

### getOneBlock

public static String getOneBlock(StringBuffer stream)

### getTagValue

public static String getTagValue(String st, String tag, int counter)

### packMulti

public static String packMulti(String st)

### getMultiTagValue

public static String getMultiTagValue(String st, String tag)

### decodeUmlauts

public static String decodeUmlauts(String st)